Subject: Re: [feature/native-comp] new (X11) windows don't use configured face/font

From: Christian Thäter <[email-masked]>
Date: Sun, 3 Jan 2021 21:29:10 +0100

On 2021-01-03 20:14, Andrea Corallo wrote:

>Christian Thaeter <[email-masked]> writes:
>
>> Opening a new emacs window under X11 falls back to
>> "Bitstream Vera Sans" not honoring the default face I have
>> configured.
>>
>> I can change the face, but opening a new window still falls back.
>>
>> When I compile the exact same source tree without '--with-nativecomp'
>> then the Problem vanishes.
>>
>> My tree here is native-comp
>> (a3f2373bfb604af5570c86b4ffefb23296a5bfdd) merged with master
>> (825b4ec338e82869dc656c7041ab2483b6c22479).
>>
>> 	Cheers Christian  
>
>Hi Christian,
>
>could you provide a minimal reproducer I can use to investigate?

I am just bisecting it and will give you reply in a moment.

For now (untested by me) you may reproduce it by

- Set the 'default' face to 'Comic Sans' or anything you never ever
  use. Either from menu-bar, editing .emacs manually or through
  customize.

- Save that.

- Confirm it got saved correctly.

- Restart Emacs.

- Still no 'Comic Sans' :(

	o/

>Thanks!
>  Andrea